Skip to main content
GET
/
v1
/
entities
/
{entity_id}
/
futures
/
risk_limits
Get FCM Risk Limits
curl --request GET \
  --url https://api.prime.coinbase.com/v1/entities/{entity_id}/futures/risk_limits
{
  "cfm_risk_limit": "10000.00",
  "cfm_risk_limit_utilization": "10000.00",
  "cfm_total_margin": "1000.00",
  "cfm_delta_ote": "100.00",
  "cfm_unsettled_realized_pnl": "10.12",
  "cfm_unsettled_accrued_funding_pnl": "10.12",
  "margin_utilization_percent": "0.50",
  "margin_health_state": "FCM_MARGIN_HEALTH_STATE_UNSPECIFIED"
}

Path Parameters

entity_id
string
required

Entity ID

Response

200 - application/json

A successful response.

cfm_risk_limit
string

Risk Limit set for a client

Example:

"10000.00"

cfm_risk_limit_utilization
string

Limit utilization calculated based on total margin and PnLs

Example:

"10000.00"

cfm_total_margin
string

The total margin required for both positions and open orders

Example:

"1000.00"

cfm_delta_ote
string

Open Trade Equity accrued during the current trading session

Example:

"100.00"

cfm_unsettled_realized_pnl
string

Unsettled realized PNL for positions closed intraday

Example:

"10.12"

cfm_unsettled_accrued_funding_pnl
string

Unsettled accrued funding PNL from the last settlement

Example:

"10.12"

margin_utilization_percent
string

Margin utilization as a decimal percentage between 0 and 1 (e.g. 0.5 means 50%)

Example:

"0.50"

margin_health_state
enum<string>
default:FCM_MARGIN_HEALTH_STATE_UNSPECIFIED

The margin health state of an FCM account.

  • FCM_MARGIN_HEALTH_STATE_UNSPECIFIED: Unspecified margin health state.
  • FCM_MARGIN_HEALTH_STATE_HEALTHY: Account margin is healthy.
  • FCM_MARGIN_HEALTH_STATE_RESTRICTED: Account margin is restricted.
  • FCM_MARGIN_HEALTH_STATE_PRE_LIQUIDATION: Account is approaching liquidation.
  • FCM_MARGIN_HEALTH_STATE_LIQUIDATION: Account is in liquidation.
Available options:
FCM_MARGIN_HEALTH_STATE_UNSPECIFIED,
FCM_MARGIN_HEALTH_STATE_HEALTHY,
FCM_MARGIN_HEALTH_STATE_RESTRICTED,
FCM_MARGIN_HEALTH_STATE_PRE_LIQUIDATION,
FCM_MARGIN_HEALTH_STATE_LIQUIDATION